DASDSTAT(8)

NAME
dasdstat - read or modify the statistics of the DASD device driver.

SYNOPSIS

dasdstat
    [-h]

dasdstat
    [-e] [-d] [-r] [-i] [-l] [-c] [-w] [-V] [-v] [<statistic> [<statistic>] ...]]

DESCRIPTION
The dasdstat command provides easy access to the debugfs based statistics of the DASD device driver. The DASD statistics feature allows one to gather statistical data for the I/O requests processed by the DASD device driver. This data can be collected for individual DASD CCW devices (including PAV base and alias devices), DASD block devices, or globally for all requests handled by the DASD device driver. When no other options are specified, then the default operation is to print the statistics data in a formatted table. When no specific list of statistics is given, then the operation will be performed on all available statistics.

OPTIONS

-h|--help
    Print help text.

-e|--enable
    Enable the statistics.

-d|--disable
    Disable the statistics.

-r|--reset
    Reset the statistics.

-i|--directory
    Specify the directory in which the statistics can be found.

-l|--long
    Print more detailed information, e.g differentiate between read and write requests.

-c|--columns <number>
    Format the output in a table with the given number of columns.

-w|--column-width <width>
    Set the minimum width of the columns in the output table.

-V|--verbose
    Print more verbose information.

-v|--version
    Print the version of the s390-tools package and the command.

<statistic> =
    Name of a statistic that the command should work on.

EXAMPLES
dasdstat
    Print a statistics table for each enabled statistic.
dasdstat -e
    Enable all DASD statistics.
dasdstat -l dasda 0.0.1800 0.0.18fe 0.0.18ff
    Print a detailed statistics table for DASD block device dasda and CCW devices 0.0.1800, 0.0.18fe and 0.0.18ff. A typical scenario for this example would be that dasda is the block device that belongs to PAV base device 0.0.1800, and CCW devices 0.0.18fe and 0.0.18ff are the associated alias devices.

AUTHOR
This man-page was written by Stefan Weinhuber <wein@de.ibm.com>.